import 'package:flutter/material.dart';
import 'package:flutter_flicker/configuration/configuration.dart';

class FlickerGridHeader extends StatelessWidget {
  final String headerText;

  const FlickerGridHeader(this.headerText, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Text(
        headerText.toUpperCase(),
        //softWrap: true,
        overflow: TextOverflow.fade,
        maxLines: 5,
        style: TextStyle(
          fontWeight: FontWeight.bold,
          color: FlickerConfiguration.colors.subTitle,
        ),
      ),
    );
  }
}
